import React from 'react';
import { render } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import { Panel } from './index';
describe('Panel', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = render( /*#__PURE__*/React.createElement(Panel, {
      "data-arbitrary": "arbitrary"
    }, "Content"));
  });
  it('should render the content', function () {
    expect(wrapper.getByText('Content')).toBeTruthy();
  });
  it('should spread arbitrary props', function () {
    expect(wrapper.getByTestId('panel')).toHaveAttribute('data-arbitrary', 'arbitrary');
  });
});